Pgp keys invalid

Hello i am new to garuda just installed it yesterday am dual booting it with windows the problem is everytime i try to update it gives me an error saying

"/var/cache/pacman/pkg/archlinux-keyring-20220927-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature))."

i would like to know how i could update to the latest pgp keys sorry for being stupid thanks

Hi there, welcome to the forum!
How do you update?
You should do that with

garuda-update

Try that first, if not already done, since it includes the main steps of the applicabile tutorial.

If not working, try deleting that file and update again as above.

2 Likes

The quick fix solution to the problem you're having is trying garuda-update remote keyring, give that a shot!

6 Likes

oh hey that worked thank you so much

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.